<?php
/**
 * @file
 * opigno_features_wysiwyg.features.filter.inc
 */

/**
 * Implements hook_filter_default_formats().
 */
function opigno_features_wysiwyg_filter_default_formats() {
  $formats = array();

  // Exported format: HTML.
  $formats['html'] = array(
    'format' => 'html',
    'name' => 'HTML',
    'cache' => 1,
    'status' => 1,
    'weight' => 0,
    'filters' => array(
      'filter_url' => array(
        'weight' => 0,
        'status' => 1,
        'settings' => array(
          'filter_url_length' => 72,
        ),
      ),
      'wysiwyg' => array(
        'weight' => 0,
        'status' => 1,
        'settings' => array(
          'valid_elements' => 'a[!href|target<_blank|title],
div[align<center?justify?left?right],
p[align<center?justify?left?right],
img[src|alt],
br,span,em,strong,cite,code,blockquote,ul,ol,li,dl,dt,dd,table,theah,tbody,col,colgroup,th,tr,td,h1,h2,h3,h4,h5,h6,
@[style|class|id]',
          'allow_comments' => 0,
          'nofollow_policy' => 'whitelist',
          'nofollow_domains' => array(
            0 => 'dev.opigno.org',
          ),
          'style_color' => array(
            'color' => 'color',
            'background' => 'background',
            'background-color' => 'background-color',
            'background-image' => 'background-image',
            'background-repeat' => 'background-repeat',
            'background-position' => 'background-position',
            'background-attachment' => 0,
          ),
          'style_font' => array(
            'font-family' => 'font-family',
            'font-size' => 'font-size',
            'font-style' => 'font-style',
            'font-variant' => 'font-variant',
            'font-weight' => 'font-weight',
            'font' => 0,
            'font-size-adjust' => 0,
            'font-stretch' => 0,
          ),
          'style_text' => array(
            'text-align' => 'text-align',
            'text-decoration' => 'text-decoration',
            'text-transform' => 'text-transform',
            'text-indent' => 0,
            'letter-spacing' => 0,
            'word-spacing' => 0,
            'white-space' => 0,
            'direction' => 0,
            'unicode-bidi' => 0,
          ),
          'style_box' => array(
            'margin' => 'margin',
            'margin-top' => 'margin-top',
            'margin-right' => 'margin-right',
            'margin-bottom' => 'margin-bottom',
            'margin-left' => 'margin-left',
            'padding' => 'padding',
            'padding-top' => 'padding-top',
            'padding-right' => 'padding-right',
            'padding-bottom' => 'padding-bottom',
            'padding-left' => 'padding-left',
          ),
          'style_border-1' => array(
            'border' => 'border',
            'border-top' => 'border-top',
            'border-right' => 'border-right',
            'border-bottom' => 'border-bottom',
            'border-left' => 'border-left',
            'border-width' => 'border-width',
            'border-top-width' => 'border-top-width',
            'border-right-width' => 'border-right-width',
            'border-bottom-width' => 'border-bottom-width',
            'border-left-width' => 'border-left-width',
          ),
          'style_border-2' => array(
            'border-color' => 'border-color',
            'border-top-color' => 'border-top-color',
            'border-right-color' => 'border-right-color',
            'border-bottom-color' => 'border-bottom-color',
            'border-left-color' => 'border-left-color',
            'border-style' => 'border-style',
            'border-top-style' => 'border-top-style',
            'border-right-style' => 'border-right-style',
            'border-bottom-style' => 'border-bottom-style',
            'border-left-style' => 'border-left-style',
          ),
          'style_dimension' => array(
            'height' => 'height',
            'line-height' => 'line-height',
            'max-height' => 'max-height',
            'max-width' => 'max-width',
            'min-height' => 'min-height',
            'min-width' => 'min-width',
            'width' => 'width',
          ),
          'style_positioning' => array(
            'bottom' => 'bottom',
            'clip' => 'clip',
            'left' => 'left',
            'overflow' => 'overflow',
            'right' => 'right',
            'top' => 'top',
            'vertical-align' => 'vertical-align',
            'z-index' => 'z-index',
          ),
          'style_layout' => array(
            'clear' => 'clear',
            'display' => 'display',
            'float' => 'float',
            'position' => 'position',
            'visibility' => 'visibility',
          ),
          'style_list' => array(
            'list-style' => 'list-style',
            'list-style-image' => 'list-style-image',
            'list-style-position' => 'list-style-position',
            'list-style-type' => 'list-style-type',
          ),
          'style_table' => array(
            'border-collapse' => 'border-collapse',
            'border-spacing' => 'border-spacing',
            'table-layout' => 'table-layout',
            'caption-side' => 0,
            'empty-cells' => 0,
          ),
          'style_user' => array(
            'cursor' => 'cursor',
            'outline' => 0,
            'outline-width' => 0,
            'outline-style' => 0,
            'outline-color' => 0,
            'zoom' => 0,
          ),
          'rule_valid_classes' => array(
            0 => 'a*',
            2 => 'A*',
            4 => 'b*',
            6 => 'B*',
            8 => 'c*',
            10 => 'C*',
            12 => 'd*',
            14 => 'D*',
            16 => 'e*',
            18 => 'E*',
            20 => 'f*',
            22 => 'F*',
            24 => 'g*',
            26 => 'G*',
            28 => 'h*',
            30 => 'H*',
            32 => 'i*',
            34 => 'I*',
            36 => 'j*',
            38 => 'J*',
            40 => 'k*',
            42 => 'K*',
            44 => 'l*',
            46 => 'L*',
            48 => 'm*',
            50 => 'M*',
            52 => 'n*',
            54 => 'N*',
            56 => 'o*',
            58 => 'O*',
            60 => 'p*',
            62 => 'P*',
            64 => 'q*',
            66 => 'Q*',
            68 => 'r*',
            70 => 'R*',
            72 => 's*',
            74 => 'S*',
            76 => 't*',
            78 => 'T*',
            80 => 'u*',
            82 => 'U*',
            84 => 'v*',
            86 => 'V*',
            88 => 'w*',
            90 => 'W*',
            92 => 'x*',
            94 => 'X*',
            96 => 'y*',
            98 => 'Y*',
            100 => 'z*',
            102 => 'Z*',
          ),
          'rule_valid_ids' => array(
            0 => 'a*',
            2 => 'A*',
            4 => 'b*',
            6 => 'B*',
            8 => 'c*',
            10 => 'C*',
            12 => 'd*',
            14 => 'D*',
            16 => 'e*',
            18 => 'E*',
            20 => 'f*',
            22 => 'F*',
            24 => 'g*',
            26 => 'G*',
            28 => 'h*',
            30 => 'H*',
            32 => 'i*',
            34 => 'I*',
            36 => 'j*',
            38 => 'J*',
            40 => 'k*',
            42 => 'K*',
            44 => 'l*',
            46 => 'L*',
            48 => 'm*',
            50 => 'M*',
            52 => 'n*',
            54 => 'N*',
            56 => 'o*',
            58 => 'O*',
            60 => 'p*',
            62 => 'P*',
            64 => 'q*',
            66 => 'Q*',
            68 => 'r*',
            70 => 'R*',
            72 => 's*',
            74 => 'S*',
            76 => 't*',
            78 => 'T*',
            80 => 'u*',
            82 => 'U*',
            84 => 'v*',
            86 => 'V*',
            88 => 'w*',
            90 => 'W*',
            92 => 'x*',
            94 => 'X*',
            96 => 'y*',
            98 => 'Y*',
            100 => 'z*',
            102 => 'Z*',
          ),
          'rule_style_urls' => array(),
        ),
      ),
    ),
  );

  return $formats;
}
